# $Revision: 1.6 $, $Date: 2002/07/13 00:04:34 $
%include	/usr/lib/rpm/macros.php
%define         _class          XML
%define         _subclass       Parser
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - XML parsing class based on PHP's bundled expat
Summary(pl):	%{_class}_%{_subclass} - klasa analizujc XML przy uyciu expat
Name:		php-pear-%{_pearname}
Version:	1.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an XML parser based on PHP's built-in xml extension. It
supports two basic modes of operation: "func" and "event". In "func"
mode, it will look for a function named after each element
(xmltag_ELEMENT for start tags and xmltag_ELEMENT_ for end tags), and
in "event" mode it uses a set of generic callbacks.

%description -l pl
Ten pakiet zawiera klas analizujc XML opart na wbudowanym w PHP
rozszerzeniu xml. Klasa ta obsuguje dwa podstawowe tryby pracy:
"func" oraz "event". W trybie "func" szuka funkcji o nazwach
odpowiadajcych kademu elementowi (xmltag_ELEMENT dla znacznikw
pocztkowych i xmltag_ELEMENT_ dla znacznikw kocowych), natomiast w
trybie "event" uywa zestawu oglnych callbackw.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/tests/*
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-XML_Parser.spec,v $
Revision 1.6  2002/07/13 00:04:34  blues
- release 2 (rebuild with new rpm)

Revision 1.5  2002/07/12 12:09:22  blues
- Requires php-pear

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/29 14:54:49  blues
- dir removed

Revision 1.1  2002/06/25 13:43:17  blues
- initial
